Class | Fog::Compute::IBM::Image
In: | lib/fog/ibm/models/compute/image.rb
Parent: | Fog::Model

### Methods

clone destroy new ready? save state

### Constants

STATES | = | { 0 => 'New', 1 => 'Available', 2 => 'Unavailable', 3 => 'Deleted', 4 => 'Capturing', 5 => 'Importing', 6 => 'Copying', 7 => 'Failed', }

### Public Class methods

new(new_attributes = {})

### Public Instance methods

clone(name, description)
destroy()
ready?()
save()
state()

[Validate]